# Audio Setup Guide for DryBox

## Installing PyAudio on Fedora

PyAudio requires system dependencies before installation:

```bash
# Install required system packages
sudo dnf install python3-devel portaudio-devel

# Then install PyAudio
pip install pyaudio
```

## Alternative: Run Without PyAudio

If you prefer not to install PyAudio, the application will still work but without real-time playback. You can still:
- Record audio to files
- Process and export audio
- Use all other features

To run without PyAudio, the audio_player.py module will gracefully handle the missing dependency.

## Ubuntu/Debian Installation

```bash
sudo apt-get install python3-dev portaudio19-dev
pip install pyaudio
```

## macOS Installation

```bash
brew install portaudio
pip install pyaudio
```

## Troubleshooting

If you see "No module named 'pyaudio'" errors:
1. The app will continue to work without playback
2. Recording and processing features remain available
3. Install PyAudio later when convenient

## Testing Audio Features

1. Run the application: `python UI/main.py`
2. Start a call between phones
3. Test features:
   - Recording: Works without PyAudio
   - Playback: Requires PyAudio
   - Processing: Works without PyAudio